Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

Get a wallet program

GET/wallet_programs/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idintegerrequired
Responses
200The wallet program
_linksHalLinks
idinteger
typestring
Allowed:pointscredit
namestring
statusstring
Allowed:activedeleted
points_namestring
Display name for points (e.g. "points", "coins").
points_mininteger
Minimum points balance required to redeem.
points_durationstring
How long earned points remain valid, e.g. "1_year".
points_dividerinteger
Amount of currency per point earned.
points_divider_scopestring
Allowed:cart_totaltotal
credits_renewalstring
Allowed:manualautomatic
credits_reserveboolean
created_onstring<date-time>
updated_onstring<date-time>
Request
curl -X GET "https://api.onbolder.com/v2/wallet_programs/0" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "type": "points",
  "name": "string",
  "status": "active",
  "points_name": "string",
  "points_min": 0,
  "points_duration": "string",
  "points_divider": 0,
  "points_divider_scope": "cart_total",
  "credits_renewal": "manual",
  "credits_reserve": true,
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}